package com.gic.haoban.manage.web.qo.content;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author MUSI
 * @Date 2022/10/28 4:09 PM
 * @Description
 * @Version
 **/
public class ContentMaterialShareQO implements Serializable {

    private static final long serialVersionUID = -3604528577220428693L;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 商品货号
     */
    private String goodsCode;

    /**
     * 素材id
     */
    private Long contentMaterialId;

    /**
     * 导购id
     */
    private String clerkId;

    /**
     * 门店id
     */
    private String storeId;

    /**
     * 门店code
     */
    private String storeCode;

    /**
     * 1朋友圈; 2客户群; 3 对话框; 4 复制文案; 5 下载素材；6 潜客推荐
     */
    private Integer channelSource;

    /**
     * 分享使用的业务来源 -1其他1意向客户2智能选款3连单推荐
     * @see com.gic.haoban.manage.api.enums.content.ShareCustomerSourceType
     */
    private Integer shareSource;

    /**
     * 喜好推荐、商品中心、商品素材、其他
     */
    private String goodsDetailSource;

    /**
     * 是否预览 1是 0否
     */
    private Integer isPreview;

    //活动id
    private Long canvasId;
    // 节点id
    private Long nodeId;
    // 营销时间（任务创建时间)
    private String marketingTime ;


    // 1朋友圈
    private int planType ;

    // 生成素材的活动id
    private String planId ;

    public int getPlanType() {
        return planType;
    }

    public void setPlanType(int planType) {
        this.planType = planType;
    }

    public String getPlanId() {
        return planId;
    }

    public void setPlanId(String planId) {
        this.planId = planId;
    }

    public Long getCanvasId() {
        return canvasId;
    }

    public void setCanvasId(Long canvasId) {
        this.canvasId = canvasId;
    }

    public Long getNodeId() {
        return nodeId;
    }

    public void setNodeId(Long nodeId) {
        this.nodeId = nodeId;
    }

    public String getMarketingTime() {
        return marketingTime;
    }

    public void setMarketingTime(String marketingTime) {
        this.marketingTime = marketingTime;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Long getContentMaterialId() {
        return contentMaterialId;
    }

    public void setContentMaterialId(Long contentMaterialId) {
        this.contentMaterialId = contentMaterialId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public String getGoodsCode() {
        return goodsCode;
    }

    public void setGoodsCode(String goodsCode) {
        this.goodsCode = goodsCode;
    }

    public Integer getChannelSource() {
        return channelSource;
    }

    public void setChannelSource(Integer channelSource) {
        this.channelSource = channelSource;
    }

    public Integer getShareSource() {
        return shareSource;
    }

    public void setShareSource(Integer shareSource) {
        this.shareSource = shareSource;
    }

    public String getGoodsDetailSource() {
        return goodsDetailSource;
    }

    public void setGoodsDetailSource(String goodsDetailSource) {
        this.goodsDetailSource = goodsDetailSource;
    }

    public Integer getIsPreview() {
        return isPreview;
    }

    public void setIsPreview(Integer isPreview) {
        this.isPreview = isPreview;
    }
}
